Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.x509
Class BasicConstraints

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x509.BasicConstraints

All Implemented Interfaces:
  DEREncodable

    public class BasicConstraints

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`BasicConstraints(ASN1Sequence seq)`
`BasicConstraints(boolean cA)`
`BasicConstraints(boolean cA, int pathLenConstraint)` Deprecated. use one of the other two unambigous constructors.
`BasicConstraints(int pathLenConstraint)` create a cA=true object for the given path length constraint.

Method Summary
`static BasicConstraints` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static BasicConstraints` `getInstance(java.lang.Object obj)`
`java.math.BigInteger` `getPathLenConstraint()`
`boolean` `isCA()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.
`java.lang.String` `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicConstraints

    public BasicConstraints(ASN1Sequence seq)

### BasicConstraints

    public BasicConstraints(boolean cA,
                            int pathLenConstraint)

  Deprecated. use one of the other two unambigous constructors.

  Parameters:
    `cA` -
    `pathLenConstraint` -

### BasicConstraints

    public BasicConstraints(boolean cA)

### BasicConstraints

    public BasicConstraints(int pathLenConstraint)

  create a cA=true object for the given path length constraint.

  Parameters:
    `pathLenConstraint` -

Method Detail

### getInstance

    public static BasicConstraints getInstance(ASN1TaggedObject obj,
                                               boolean explicit)

### getInstance

    public static BasicConstraints getInstance(java.lang.Object obj)

### isCA

    public boolean isCA()

### getPathLenConstraint

    public java.math.BigInteger getPathLenConstraint()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       BasicConstraints := SEQUENCE {
          cA                  BOOLEAN DEFAULT FALSE,
          pathLenConstraint   INTEGER (0..MAX) OPTIONAL
       }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Bouncy Castle Cryptography Library 1.45